Package org.eclipse.m2m.atl.profiler.model.impl

## Class ModelPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.m2m.atl.profiler.model.impl.ModelPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `ModelPackage`

    public class ModelPackageImpl
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements ModelPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Nested classes/interfaces inherited from interface org.eclipse.m2m.atl.profiler.model.ModelPackage

`ModelPackage.Literals`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.m2m.atl.profiler.model.ModelPackage

`ATL_INSTRUCTION, ATL_INSTRUCTION__ATL_ELEMENT_REF, ATL_INSTRUCTION__NAME, ATL_INSTRUCTION__PROFILING_INSTRUCTIONS, ATL_INSTRUCTION_FEATURE_COUNT, ATL_OPERATION, ATL_OPERATION__ATL_ELEMENT_REF, ATL_OPERATION__CALLS, ATL_OPERATION__NAME, ATL_OPERATION__PROFILING_INSTRUCTIONS, ATL_OPERATION_FEATURE_COUNT, CONTEXT, CONTEXT__CONTENT, CONTEXT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXECUTION_ERROR, EXECUTION_ERROR__ERROR, EXECUTION_ERROR__FRAMES, EXECUTION_ERROR__MESSAGE, EXECUTION_ERROR_FEATURE_COUNT, PROFILING_INSTRUCTION, PROFILING_INSTRUCTION__ATL_INSTRUCTION, PROFILING_INSTRUCTION__CONTENT, PROFILING_INSTRUCTION__HAS_ERROR, PROFILING_INSTRUCTION__INSTRUCTION_ID, PROFILING_INSTRUCTION__LAUNCHED_MEMORY_USAGE, PROFILING_INSTRUCTION__LAUNCHED_TIME, PROFILING_INSTRUCTION__PARENT_OPERATION, PROFILING_INSTRUCTION__STACK_FRAMES, PROFILING_INSTRUCTION_FEATURE_COUNT, PROFILING_MODEL, PROFILING_MODEL__ATL_INSTRUCTION, PROFILING_MODEL__CONTENT, PROFILING_MODEL__CONTEXT, PROFILING_MODEL__END_MEMORY_USAGE, PROFILING_MODEL__END_TIME, PROFILING_MODEL__EXECUTION_ERRORS, PROFILING_MODEL__EXECUTION_INSTRUCTIONS, PROFILING_MODEL__HAS_ERROR, PROFILING_MODEL__INSTRUCTION_ID, PROFILING_MODEL__LAUNCHED_MEMORY_USAGE, PROFILING_MODEL__LAUNCHED_TIME, PROFILING_MODEL__MATCHING_OPERATION, PROFILING_MODEL__MAX_MEMORY_USAGE, PROFILING_MODEL__MODEL_NAME, PROFILING_MODEL__PARENT_OPERATION, PROFILING_MODEL__STACK_FRAMES, PROFILING_MODEL__TOTAL_EXECUTED_INSTRUCTIONS, PROFILING_MODEL_FEATURE_COUNT, PROFILING_OPERATION, PROFILING_OPERATION__ATL_INSTRUCTION, PROFILING_OPERATION__CONTENT, PROFILING_OPERATION__CONTEXT, PROFILING_OPERATION__END_MEMORY_USAGE, PROFILING_OPERATION__END_TIME, PROFILING_OPERATION__EXECUTION_ERRORS, PROFILING_OPERATION__EXECUTION_INSTRUCTIONS, PROFILING_OPERATION__HAS_ERROR, PROFILING_OPERATION__INSTRUCTION_ID, PROFILING_OPERATION__LAUNCHED_MEMORY_USAGE, PROFILING_OPERATION__LAUNCHED_TIME, PROFILING_OPERATION__MATCHING_OPERATION, PROFILING_OPERATION__MAX_MEMORY_USAGE, PROFILING_OPERATION__PARENT_OPERATION, PROFILING_OPERATION__STACK_FRAMES, PROFILING_OPERATION__TOTAL_EXECUTED_INSTRUCTIONS, PROFILING_OPERATION_FEATURE_COUNT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` `getATLInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getATLInstruction_ATLElementRef()`
`org.eclipse.emf.ecore.EAttribute` `getATLInstruction_Name()`
`org.eclipse.emf.ecore.EReference` `getATLInstruction_ProfilingInstructions()`
`org.eclipse.emf.ecore.EClass` `getATLOperation()`
`org.eclipse.emf.ecore.EAttribute` `getATLOperation_Calls()`
`org.eclipse.emf.ecore.EClass` `getContext()`
`org.eclipse.emf.ecore.EAttribute` `getContext_Content()`
`org.eclipse.emf.ecore.EClass` `getExecutionError()`
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Error()`
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Frames()`
`org.eclipse.emf.ecore.EAttribute` `getExecutionError_Message()`
`ModelFactory` `getModelFactory()`
`org.eclipse.emf.ecore.EClass` `getProfilingInstruction()`
`org.eclipse.emf.ecore.EReference` `getProfilingInstruction_AtlInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_Content()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_HasError()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_InstructionID()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_LaunchedMemoryUsage()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_LaunchedTime()`
`org.eclipse.emf.ecore.EReference` `getProfilingInstruction_ParentOperation()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingInstruction_StackFrames()`
`org.eclipse.emf.ecore.EClass` `getProfilingModel()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingModel_ModelName()`
`org.eclipse.emf.ecore.EClass` `getProfilingOperation()`
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_Context()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_EndMemoryUsage()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_EndTime()`
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_ExecutionErrors()`
`org.eclipse.emf.ecore.EReference` `getProfilingOperation_ExecutionInstructions()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_MatchingOperation()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_MaxMemoryUsage()`
`org.eclipse.emf.ecore.EAttribute` `getProfilingOperation_TotalExecutedInstructions()`
`static ModelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### init

    public static ModelPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

Invocation of this method will not affect any packages that have already been initialized.

See Also:
  `ModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getProfilingInstruction

    public org.eclipse.emf.ecore.EClass getProfilingInstruction()

Specified by:
  `getProfilingInstruction` in interface `ModelPackage`
Returns:
  the meta object for class 'Profiling Instruction'.
See Also:
  `ProfilingInstruction`

#### getProfilingInstruction_LaunchedTime

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_LaunchedTime()

Specified by:
  `getProfilingInstruction_LaunchedTime` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Launched Time'.
See Also:
  `ProfilingInstruction.getLaunchedTime()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_StackFrames

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_StackFrames()

Specified by:
  `getProfilingInstruction_StackFrames` in interface `ModelPackage`
Returns:
  the meta object for the attribute list 'Stack Frames'.
See Also:
  `ProfilingInstruction.getStackFrames()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_ParentOperation

    public org.eclipse.emf.ecore.EReference getProfilingInstruction_ParentOperation()

Specified by:
  `getProfilingInstruction_ParentOperation` in interface `ModelPackage`
Returns:
  the meta object for the reference 'Parent Operation'.
See Also:
  `ProfilingInstruction.getParentOperation()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_InstructionID

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_InstructionID()

Specified by:
  `getProfilingInstruction_InstructionID` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Instruction ID'.
See Also:
  `ProfilingInstruction.getInstructionID()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_AtlInstruction

    public org.eclipse.emf.ecore.EReference getProfilingInstruction_AtlInstruction()

Specified by:
  `getProfilingInstruction_AtlInstruction` in interface `ModelPackage`
Returns:
  the meta object for the reference 'Atl Instruction'.
See Also:
  `ProfilingInstruction.getAtlInstruction()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_Content

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_Content()

Specified by:
  `getProfilingInstruction_Content` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Content'.
See Also:
  `ProfilingInstruction.getContent()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_LaunchedMemoryUsage

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_LaunchedMemoryUsage()

Specified by:
  `getProfilingInstruction_LaunchedMemoryUsage` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Launched Memory Usage'.
See Also:
  `ProfilingInstruction.getLaunchedMemoryUsage()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingInstruction_HasError

    public org.eclipse.emf.ecore.EAttribute getProfilingInstruction_HasError()

Specified by:
  `getProfilingInstruction_HasError` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Has Error'.
See Also:
  `ProfilingInstruction.isHasError()`, `ModelPackage.getProfilingInstruction()`

#### getProfilingOperation

    public org.eclipse.emf.ecore.EClass getProfilingOperation()

Specified by:
  `getProfilingOperation` in interface `ModelPackage`
Returns:
  the meta object for class 'Profiling Operation'.
See Also:
  `ProfilingOperation`

#### getProfilingOperation_EndTime

    public org.eclipse.emf.ecore.EAttribute getProfilingOperation_EndTime()

Specified by:
  `getProfilingOperation_EndTime` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'End Time'.
See Also:
  `ProfilingOperation.getEndTime()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_TotalExecutedInstructions

    public org.eclipse.emf.ecore.EAttribute getProfilingOperation_TotalExecutedInstructions()

Specified by:
  `getProfilingOperation_TotalExecutedInstructions` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Total Executed Instructions'.
See Also:
  `ProfilingOperation.getTotalExecutedInstructions()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_ExecutionInstructions

    public org.eclipse.emf.ecore.EReference getProfilingOperation_ExecutionInstructions()

Specified by:
  `getProfilingOperation_ExecutionInstructions` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Execution Instructions'.
See Also:
  `ProfilingOperation.getExecutionInstructions()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_EndMemoryUsage

    public org.eclipse.emf.ecore.EAttribute getProfilingOperation_EndMemoryUsage()

Specified by:
  `getProfilingOperation_EndMemoryUsage` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'End Memory Usage'.
See Also:
  `ProfilingOperation.getEndMemoryUsage()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_Context

    public org.eclipse.emf.ecore.EReference getProfilingOperation_Context()

Specified by:
  `getProfilingOperation_Context` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Context'.
See Also:
  `ProfilingOperation.getContext()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_MaxMemoryUsage

    public org.eclipse.emf.ecore.EAttribute getProfilingOperation_MaxMemoryUsage()

Specified by:
  `getProfilingOperation_MaxMemoryUsage` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Max Memory Usage'.
See Also:
  `ProfilingOperation.getMaxMemoryUsage()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_MatchingOperation

    public org.eclipse.emf.ecore.EAttribute getProfilingOperation_MatchingOperation()

Specified by:
  `getProfilingOperation_MatchingOperation` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Matching Operation'.
See Also:
  `ProfilingOperation.isMatchingOperation()`, `ModelPackage.getProfilingOperation()`

#### getProfilingOperation_ExecutionErrors

    public org.eclipse.emf.ecore.EReference getProfilingOperation_ExecutionErrors()

Specified by:
  `getProfilingOperation_ExecutionErrors` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Execution Errors'.
See Also:
  `ProfilingOperation.getExecutionErrors()`, `ModelPackage.getProfilingOperation()`

#### getProfilingModel

    public org.eclipse.emf.ecore.EClass getProfilingModel()

Specified by:
  `getProfilingModel` in interface `ModelPackage`
Returns:
  the meta object for class 'Profiling Model'.
See Also:
  `ProfilingModel`

#### getProfilingModel_ModelName

    public org.eclipse.emf.ecore.EAttribute getProfilingModel_ModelName()

Specified by:
  `getProfilingModel_ModelName` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Model Name'.
See Also:
  `ProfilingModel.getModelName()`, `ModelPackage.getProfilingModel()`

#### getATLOperation

    public org.eclipse.emf.ecore.EClass getATLOperation()

Specified by:
  `getATLOperation` in interface `ModelPackage`
Returns:
  the meta object for class 'ATL Operation'.
See Also:
  `ATLOperation`

#### getATLOperation_Calls

    public org.eclipse.emf.ecore.EAttribute getATLOperation_Calls()

Specified by:
  `getATLOperation_Calls` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Calls'.
See Also:
  `ATLOperation.getCalls()`, `ModelPackage.getATLOperation()`

#### getATLInstruction

    public org.eclipse.emf.ecore.EClass getATLInstruction()

Specified by:
  `getATLInstruction` in interface `ModelPackage`
Returns:
  the meta object for class 'ATL Instruction'.
See Also:
  `ATLInstruction`

#### getATLInstruction_ATLElementRef

    public org.eclipse.emf.ecore.EAttribute getATLInstruction_ATLElementRef()

Specified by:
  `getATLInstruction_ATLElementRef` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'ATL Element Ref'.
See Also:
  `ATLInstruction.getATLElementRef()`, `ModelPackage.getATLInstruction()`

#### getATLInstruction_Name

    public org.eclipse.emf.ecore.EAttribute getATLInstruction_Name()

Specified by:
  `getATLInstruction_Name` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ATLInstruction.getName()`, `ModelPackage.getATLInstruction()`

#### getATLInstruction_ProfilingInstructions

    public org.eclipse.emf.ecore.EReference getATLInstruction_ProfilingInstructions()

Specified by:
  `getATLInstruction_ProfilingInstructions` in interface `ModelPackage`
Returns:
  the meta object for the reference list 'Profiling Instructions'.
See Also:
  `ATLInstruction.getProfilingInstructions()`, `ModelPackage.getATLInstruction()`

#### getContext

    public org.eclipse.emf.ecore.EClass getContext()

Specified by:
  `getContext` in interface `ModelPackage`
Returns:
  the meta object for class 'Context'.
See Also:
  `Context`

#### getContext_Content

    public org.eclipse.emf.ecore.EAttribute getContext_Content()

Specified by:
  `getContext_Content` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Content'.
See Also:
  `Context.getContent()`, `ModelPackage.getContext()`

#### getExecutionError

    public org.eclipse.emf.ecore.EClass getExecutionError()

Specified by:
  `getExecutionError` in interface `ModelPackage`
Returns:
  the meta object for class 'Execution Error'.
See Also:
  `ExecutionError`

#### getExecutionError_Message

    public org.eclipse.emf.ecore.EAttribute getExecutionError_Message()

Specified by:
  `getExecutionError_Message` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Message'.
See Also:
  `ExecutionError.getMessage()`, `ModelPackage.getExecutionError()`

#### getExecutionError_Error

    public org.eclipse.emf.ecore.EAttribute getExecutionError_Error()

Specified by:
  `getExecutionError_Error` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Error'.
See Also:
  `ExecutionError.getError()`, `ModelPackage.getExecutionError()`

#### getExecutionError_Frames

    public org.eclipse.emf.ecore.EAttribute getExecutionError_Frames()

Specified by:
  `getExecutionError_Frames` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Frames'.
See Also:
  `ExecutionError.getFrames()`, `ModelPackage.getExecutionError()`

#### getModelFactory

    public ModelFactory getModelFactory()

Specified by:
  `getModelFactory` in interface `ModelPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.